/*
 * Replacement for the buggy clock() function in GCC WarpUP.
 * Written by Jarmo Laakkonen jami.laakkonen@kolumbus.fi
 *
 */

#include <time.h>
#include <proto/powerpc.h>

ULONG start_time = 0;

void INIT_9_InitClock(void)
{
	struct timeval tv;
	
	GetSysTimePPC(&tv);
	start_time = tv.tv_secs + tv.tv_micro / 1000000;
}

clock_t clock(void)
{
	struct timeval tv;

	GetSysTimePPC(&tv);
	return ((tv.tv_secs + tv.tv_micro / 1000000) - start_time) * CLOCKS_PER_SEC;
}
